function overLap()
{

var browser=navigator.appName
var b_version=navigator.appVersion
var version=parseFloat(b_version)

	if(browser == "Netscape" || browser == "Mozilla")
	{
		document.getElementById("scroller").style.zIndex="0"
	}
}

function popVideo()
{
	window.open("http://www.youtube.com/murraysabrin", "")
}

function fcButton()
{
	document.getElementById('fcButton').innerHTML = "<input type='submit' name='submit' id='submit' value='Continue with Registration>>' class='button'/>"
}

function vVol()
{
	var vFrm = document.getElementById('volunteer');
	
	var fn = vFrm.fn.value;
	var ln = vFrm.ln.value;
	var add1 = vFrm.add1.value;
	var add2 = vFrm.add2.value;
	var city = vFrm.city.value;
	var state= vFrm.state.value;
	var zip = vFrm.zip.value;
	var ph1 = vFrm.ph1.value;
	var email = vFrm.email.value;
	var vAt = email.indexOf('@');
	var vDot = email.indexOf('.');
	var interest = new Array()
	interest[0] = vFrm.int1.checked;
	interest[1] = vFrm.int2.checked;
	interest[2] = vFrm.int3.checked;
	interest[3] = vFrm.int4.checked;
	interest[4] = vFrm.int5.checked;
	var i = 0;

	if(fn == "" || fn == " ")
	{
		document.getElementById('fn').style.backgroundColor="red";
		f1 = 0;
	}	
	else
	{
		document.getElementById('fn').style.backgroundColor='white';
		f1 = 1;
	}
	
	if(ln == "" || ln == " ")
	{
		document.getElementById('ln').style.backgroundColor='red';
		f2 = 0;
	}	
	else
	{
		document.getElementById('ln').style.backgroundColor='white';
		f2 = 1;
	}
	
	if(add1 == "" || add1 == " ")
	{
		document.getElementById('add1').style.backgroundColor='red';
		f3 = 0;
	}	
	else
	{
		document.getElementById('add1').style.backgroundColor='white';
		f3 = 1;
	}
	
	f4 = 1;
	
    if(city == "" || city == " ")
	{
		document.getElementById('city').style.backgroundColor='red';
		f5 = 0;
	}	
	else
	{
		document.getElementById('city').style.backgroundColor='white';
		f5 = 1;
	}
	
	if(state == "null" || state == " ")
	{
		document.getElementById('state').style.backgroundColor='red';
		f6 = 0;
	}	
	else
	{
		document.getElementById('state').style.backgroundColor='white';
		f6 = 1;
	}
	
	if(zip == "" || zip == " " || isNaN(zip) || zip.length < 5)
	{
		document.getElementById('zip').style.backgroundColor='red';
		f7 = 0;
	}	
	else
	{
		document.getElementById('zip').style.backgroundColor='white';
		f7 = 1;
	}
	
	if(ph1 == "" || ph1 == " " || ph1.length < 10)
	{
		document.getElementById('ph1').style.backgroundColor='red';
		f8 = 0;
	}	
	else
	{
		document.getElementById('ph1').style.backgroundColor='white';
		f8 = 1;
	}
	
    if(email == "" || email == " " || email.length < 7)
	{
		document.getElementById('email').style.backgroundColor='red';
		f9 = 0;
	}	
	else
	{
		if(vAt == -1 || vDot == -1)
		{
			document.getElementById('email').style.backgroundColor='red';
			f9 = 0;
		}
		else
		{
			document.getElementById('email').style.backgroundColor='white';
			f9 = 1;
		}
	}
	
	var f10 = 0;
	
	while(i < 5)
	{
		if(interest[i])
		{
			f10 = f10 + 1;
		}
		else
		{
			f10 = f10 + 0;
		}
		++i;
	}
	//alert(f6)

	if(f10 > 0)
	{
		f10 = 1;
	}
	else
	{
		f10 = 0;
		alert("Please specify at least one area of interest");
	}
	
	
	if(f1 == 1 && f2 == 1 && f3 == 1 && f4 == 1 && f5 == 1 && f6 == 1 && f7 == 1 && f8 == 1 && f9 == 1 && f10 == 1)
	{
		vFrm.submit();
		//alert("ready");
	}
	else
	{
		if(f10 != 0)
		{
			alert("Please correct the fields in red");
		}
	}
	
	
	
}


function vMail()
{
	var mFrm = document.getElementById('mailingList');
	
	var fn = mFrm.fn.value;
	var ln = mFrm.ln.value;
	var add1 = mFrm.add1.value;
	var add2 = mFrm.add2.value;
	var city = mFrm.city.value;
	var state= mFrm.state.value;
	var zip = mFrm.zip.value;
	var ph1 = mFrm.ph1.value;
	var email = mFrm.email.value;
	var mAt = email.indexOf('@');
	var mDot = email.indexOf('.');

	if(fn == "" || fn == " ")
	{
		document.getElementById('fn').style.backgroundColor="red";
		f1 = 0;
	}	
	else
	{
		document.getElementById('fn').style.backgroundColor='white';
		f1 = 1;
	}
	
	if(ln == "" || ln == " ")
	{
		document.getElementById('ln').style.backgroundColor='red';
		f2 = 0;
	}	
	else
	{
		document.getElementById('ln').style.backgroundColor='white';
		f2 = 1;
	}
	
	if(add1 == "" || add1 == " ")
	{
		document.getElementById('add1').style.backgroundColor='red';
		f3 = 0;
	}	
	else
	{
		document.getElementById('add1').style.backgroundColor='white';
		f3 = 1;
	}
	
	f4 = 1;
	
    if(city == "" || city == " ")
	{
		document.getElementById('city').style.backgroundColor='red';
		f5 = 0;
	}	
	else
	{
		document.getElementById('city').style.backgroundColor='white';
		f5 = 1;
	}
	
	if(state == "null" || state == " ")
	{
		document.getElementById('state').style.backgroundColor='red';
		f6 = 0;
	}	
	else
	{
		document.getElementById('state').style.backgroundColor='white';
		f6 = 1;
	}
	
	if(zip == "" || zip == " " || isNaN(zip) || zip.length < 5)
	{
		document.getElementById('zip').style.backgroundColor='red';
		f7 = 0;
	}	
	else
	{
		document.getElementById('zip').style.backgroundColor='white';
		f7 = 1;
	}
	
	if(ph1 == "" || ph1 == " " || ph1.length < 10)
	{
		document.getElementById('ph1').style.backgroundColor='red';
		f8 = 0;
	}	
	else
	{
		document.getElementById('ph1').style.backgroundColor='white';
		f8 = 1;
	}
	
    if(email == "" || email == " " || email.length < 7)
	{
		document.getElementById('email').style.backgroundColor='red';
		f9 = 0;
	}	
	else
	{
		if(mAt == -1 || mDot == -1)
		{
			document.getElementById('email').style.backgroundColor='red';
			f9 = 0;
		}
		else
		{
			document.getElementById('email').style.backgroundColor='white';
			f9 = 1;
		}
	}
	

	
	if(f1 == 1 && f2 == 1 && f3 == 1 && f4 == 1 && f5 == 1 && f6 == 1 && f7 == 1 && f8 == 1 && f9 == 1)
	{
		mFrm.submit();
		//alert("ready");
	}
	else
	{

			alert("Please correct the fields in red");

	}
	
	
	
}


function vFc()
{
	var fcFrm = document.getElementById('fc2');
	
	var fn = fcFrm.fn.value;
	var ln = fcFrm.ln.value;
	var add1 = fcFrm.add1.value;
	var add2 = fcFrm.add2.value;
	var city = fcFrm.city.value;
	var state= fcFrm.state.value;
	var zip = fcFrm.zip.value;
	var ph1 = fcFrm.ph1.value;
	var email = fcFrm.email.value;
	var fcAt = email.indexOf('@');
	var fcDot = email.indexOf('.');
	var occ = fcFrm.occ.value;
	var emp = fcFrm.emp.value;

	if(fn == "" || fn == " ")
	{
		document.getElementById('fn').style.backgroundColor="red";
		f1 = 0;
	}	
	else
	{
		document.getElementById('fn').style.backgroundColor='white';
		f1 = 1;
	}
	
	if(ln == "" || ln == " ")
	{
		document.getElementById('ln').style.backgroundColor='red';
		f2 = 0;
	}	
	else
	{
		document.getElementById('ln').style.backgroundColor='white';
		f2 = 1;
	}
	
	if(add1 == "" || add1 == " ")
	{
		document.getElementById('add1').style.backgroundColor='red';
		f3 = 0;
	}	
	else
	{
		document.getElementById('add1').style.backgroundColor='white';
		f3 = 1;
	}
	
	f4 = 1;
	
    if(city == "" || city == " ")
	{
		document.getElementById('city').style.backgroundColor='red';
		f5 = 0;
	}	
	else
	{
		document.getElementById('city').style.backgroundColor='white';
		f5 = 1;
	}
	
	if(state == "null" || state == " ")
	{
		document.getElementById('state').style.backgroundColor='red';
		f6 = 0;
	}	
	else
	{
		document.getElementById('state').style.backgroundColor='white';
		f6 = 1;
	}
	
	if(zip == "" || zip == " " || isNaN(zip) || zip.length < 5)
	{
		document.getElementById('zip').style.backgroundColor='red';
		f7 = 0;
	}	
	else
	{
		document.getElementById('zip').style.backgroundColor='white';
		f7 = 1;
	}
	
	if(ph1 == "" || ph1 == " " || ph1.length < 10)
	{
		document.getElementById('ph1').style.backgroundColor='red';
		f8 = 0;
	}	
	else
	{
		document.getElementById('ph1').style.backgroundColor='white';
		f8 = 1;
	}
	
    if(email == "" || email == " " || email.length < 7)
	{
		document.getElementById('email').style.backgroundColor='red';
		f9 = 0;
	}	
	else
	{
		if(fcAt == -1 || fcDot == -1)
		{
			document.getElementById('email').style.backgroundColor='red';
			f9 = 0;
		}
		else
		{
			document.getElementById('email').style.backgroundColor='white';
			f9 = 1;
		}
	}
	
	if(occ == "" || occ == " ")
	{
		document.getElementById('occ').style.backgroundColor="red";
		f10 = 0;
	}	
	else
	{
		document.getElementById('occ').style.backgroundColor='white';
		f10 = 1;
	}
	
	if(emp == "" || emp == " ")
	{
		document.getElementById('emp').style.backgroundColor="red";
		f11 = 0;
	}	
	else
	{
		document.getElementById('emp').style.backgroundColor='white';
		f11 = 1;
	}
	

	
	if(f1 == 1 && f2 == 1 && f3 == 1 && f4 == 1 && f5 == 1 && f6 == 1 && f7 == 1 && f8 == 1 && f9 == 1 && f10 == 1 && f11 == 1)
	{
		fcFrm.submit();
		//alert("ready");
	}
	else
	{
		alert("Please correct the fields in red");
	}
}



function vContact()
{
	var sFrm = document.getElementById('contact');
	
	var name = sFrm.name.value;
	var email = sFrm.email.value;
	var sAt = email.indexOf('@');
	var sDot = email.indexOf('.');
	var msg = sFrm.msg.value;

	if(name == "" || name == " ")
	{
		document.getElementById('name').style.backgroundColor="red";
		f1 = 0;
	}	
	else
	{
		document.getElementById('name').style.backgroundColor='white';
		f1 = 1;
	}

	
    if(email == "" || email == " " || email.length < 7)
	{
		document.getElementById('email').style.backgroundColor='red';
		f2 = 0;
	}	
	else
	{
		if(sAt == -1 || sDot == -1)
		{
			document.getElementById('email').style.backgroundColor='red';
			f2 = 0;
		}
		else
		{
			document.getElementById('email').style.backgroundColor='white';
			f2 = 1;
		}
	}
	
	if(msg == "" || msg == " ")
	{
		document.getElementById('msg').style.backgroundColor="red";
		f3 = 0;
	}	
	else
	{
		document.getElementById('msg').style.backgroundColor='white';
		f3 = 1;
	}

	if(f1 == 1 && f2 == 1 && f3 == 1)
	{
		sFrm.submit();
		//alert("ready");
	}
	else
	{
			alert("Please correct the fields in red");
	}	
}





function vContribute()
{
	var donFrm = document.getElementById('contribution');
	
	var fn = donFrm.fn.value;
	var ln = donFrm.ln.value;
	var add1 = donFrm.add1.value;
	//var add2 = donFrm.add2.value;
	var city = donFrm.city.value;
	var state= donFrm.state.value;
	var zip = donFrm.zip.value;
	var ph1 = donFrm.ph1.value;
	var email = donFrm.email.value;
	var donAt = email.indexOf('@');
	var donDot = email.indexOf('.');
	var occ = donFrm.occ.value;
	var emp = donFrm.emp.value;
	
	var cfn = donFrm.cfn.value;
	var cln = donFrm.cln.value;
	var cadd1 = donFrm.cadd1.value;
	//var cadd2 = donFrm.cadd2.value;
	var ccity = donFrm.ccity.value;
	var cstate = donFrm.cstate.value;
	var czip = donFrm.czip.value;
	//var camount = donFrm.camount.value;
	var ctype = donFrm.ctype.value;
	var cnum = donFrm.cnum.value;
	var cmonth = donFrm.cmonth.value;
	var cyear = donFrm.cyear.value;

	if(fn == "" || fn == " ")
	{
		document.getElementById('fn').style.backgroundColor="red";
		f1 = 0;
	}	
	else
	{
		document.getElementById('fn').style.backgroundColor='white';
		f1 = 1;
	}
	
	if(ln == "" || ln == " ")
	{
		document.getElementById('ln').style.backgroundColor='red';
		f2 = 0;
	}	
	else
	{
		document.getElementById('ln').style.backgroundColor='white';
		f2 = 1;
	}
	
	if(add1 == "" || add1 == " ")
	{
		document.getElementById('add1').style.backgroundColor='red';
		f3 = 0;
	}	
	else
	{
		document.getElementById('add1').style.backgroundColor='white';
		f3 = 1;
	}
	
	f4 = 1;
	
 /*   if(add2 == "" || add2 == " ")
	{
		document.getElementById('add2').style.backgroundColor='red';
		f4 = 0;
	}	
	else
	{
		document.getElementById('add2').style.backgroundColor='white';
		
	}
*/	
    if(city == "" || city == " ")
	{
		document.getElementById('city').style.backgroundColor='red';
		f5 = 0;
	}	
	else
	{
		document.getElementById('city').style.backgroundColor='white';
		f5 = 1;
	}
	
	if(state == "null" || state == " ")
	{
		document.getElementById('state').style.backgroundColor='red';
		f6 = 0;
	}	
	else
	{
		document.getElementById('state').style.backgroundColor='white';
		f6 = 1;
	}
	
	if(zip == "" || zip == " " || isNaN(zip) || zip.length < 5)
	{
		document.getElementById('zip').style.backgroundColor='red';
		f7 = 0;
	}	
	else
	{
		document.getElementById('zip').style.backgroundColor='white';
		f7 = 1;
	}
	
	if(ph1 == "" || ph1 == " " || ph1.length < 10)
	{
		document.getElementById('ph1').style.backgroundColor='red';
		f8 = 0;
	}	
	else
	{
		document.getElementById('ph1').style.backgroundColor='white';
		f8 = 1;
	}
	
    if(email == "" || email == " " || email.length < 7)
	{
		document.getElementById('email').style.backgroundColor='red';
		f9 = 0;
	}	
	else
	{
		if(donAt == -1 || donDot == -1)
		{
			document.getElementById('email').style.backgroundColor='red';
			f9 = 0;
		}
		else
		{
			document.getElementById('email').style.backgroundColor='white';
			f9 = 1;
		}
	}
	
	if(occ == "" || occ == " ")
	{
		document.getElementById('occ').style.backgroundColor="red";
		f10 = 0;
	}	
	else
	{
		document.getElementById('occ').style.backgroundColor='white';
		f10 = 1;
	}
	
	if(emp == "" || emp == " ")
	{
		document.getElementById('emp').style.backgroundColor="red";
		f11 = 0;
	}	
	else
	{
		document.getElementById('emp').style.backgroundColor='white';
		f11 = 1;
	}
	
	
	if(cfn == "" || cfn == " ")
	{
		document.getElementById('cfn').style.backgroundColor="red";
		f12 = 0;
	}	
	else
	{
		document.getElementById('cfn').style.backgroundColor='white';
		f12 = 1;
	}
	
	if(cln == "" || cln == " ")
	{
		document.getElementById('cln').style.backgroundColor='red';
		f13 = 0;
	}	
	else
	{
		document.getElementById('cln').style.backgroundColor='white';
		f13 = 1;
	}
	
	if(cadd1 == "" || cadd1 == " ")
	{
		document.getElementById('cadd1').style.backgroundColor='red';
		f14 = 0;
	}	
	else
	{
		document.getElementById('cadd1').style.backgroundColor='white';
		f14 = 1;
	}
	/*
    if(cadd2 == "" || cadd2 == " ")
	{
		document.getElementById('cadd2').style.backgroundColor='red';
		f15 = 0;
	}	
	else
	{
		document.getElementById('cadd2').style.backgroundColor='white';
		f15 = 1;
	}*/
	f15 = 1
	
    if(ccity == "" || ccity == " ")
	{
		document.getElementById('ccity').style.backgroundColor='red';
		f16 = 0;
	}	
	else
	{
		document.getElementById('ccity').style.backgroundColor='white';
		f16 = 1;
	}
	
	if(cstate == "null" || cstate == " ")
	{
		document.getElementById('cstate').style.backgroundColor='red';
		f17 = 0;
	}	
	else
	{
		document.getElementById('cstate').style.backgroundColor='white';
		f17 = 1;
	}
	
	if(czip == "" || czip == " " || isNaN(czip) || czip.length < 5)
	{
		document.getElementById('czip').style.backgroundColor='red';
		f18 = 0;
	}	
	else
	{
		document.getElementById('czip').style.backgroundColor='white';
		f18 = 1;
	}
	
	/*if(camount == "" || camount == " " || isNaN(camount) || camount.length < 1)
	{
		document.getElementById('amount5').style.backgroundColor='red';
		f19 = 0;
	}	
	else
	{
		document.getElementById('amount5').style.backgroundColor='white';
		f19 = 1;
	}*/
	
	if(ctype == "null" || ctype == " ")
	{
		document.getElementById('ctype').style.backgroundColor='red';
		f20 = 0;
	}	
	else
	{
		document.getElementById('ctype').style.backgroundColor='white';
		f20 = 1;
	}
	
	if(cnum == "" || cnum == " " || isNaN(cnum) || cnum.length < 15)
	{
		document.getElementById('cnum').style.backgroundColor='red';
		f21 = 0;
	}	
	else
	{
		document.getElementById('cnum').style.backgroundColor='white';
		f21 = 1;
	}
	
	if(cmonth == "null" || cmonth == " ")
	{
		document.getElementById('cmonth').style.backgroundColor='red';
		f22 = 0;
	}	
	else
	{
		document.getElementById('cmonth').style.backgroundColor='white';
		f22 = 1;
	}
	
	if(cyear == "null" || cyear == " ")
	{
		document.getElementById('cyear').style.backgroundColor='red';
		f23 = 0;
	}	
	else
	{
		document.getElementById('cyear').style.backgroundColor='white';
		f23 = 1;
	}

	
	if(f1 == 1 && f2 == 1 && f3 == 1 && f5 == 1 && f6 == 1 && f7 == 1 && f8 == 1 && f9 == 1 && f10 == 1 && f11 == 1 && f12 == 1 && f13 == 1 && f14 == 1 && f16 == 1 && f17 == 1 && f18 == 1 && f20 == 1 && f21 == 1 && f22 == 1 && f23 == 1)
	{
		donFrm.submit();
		//alert("ready");
	}
	else
	{
		alert("Please correct the fields in red");
	}
}
